This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 858074 - Review Request: mingw-qt5-qtquick1 - Qt5 for Windows - QtQuick1 component
Review Request: mingw-qt5-qtquick1 - Qt5 for Windows - QtQuick1 component
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: greg.hellings
Fedora Extras Quality Assurance
:
Depends On: 858058 858076
Blocks: 858063 858061
  Show dependency treegraph
 
Reported: 2012-09-17 18:43 EDT by Erik van Pienbroek
Modified: 2013-04-21 19:52 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-20 16:12:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
greg.hellings: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Erik van Pienbroek 2012-09-17 18:43:55 EDT
Spec URL: http://svn.openftd.org/svn/fedora_cross/mingw-qt5-qtquick1/mingw-qt5-qtquick1.spec
SRPM URL: http://ftd4linux.nl/contrib/mingw-qt5-qtquick1-5.0.0-0.1.beta1.fc17.src.rpm
Fedora Account System Username: epienbro
Description: 
This package contains the Qt software toolkit for developing
cross-platform applications.

This is the Windows version of Qt, for use in conjunction with the
Fedora Windows cross-compiler.
Comment 1 Erik van Pienbroek 2012-11-12 20:11:07 EST
Updated Spec URL: http://svn.openftd.org/svn/fedora_cross/mingw-qt5-qtquick1/mingw-qt5-qtquick1.spec
Updated SRPM URL: http://build1.openftd.org/fedora-cross/src/mingw-qt5-qtquick1-5.0.0-0.2.beta1.git20121111.a14ab84c.fc19.src.rpm

* Sun Nov 11 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.0.0-0.2.beta1.git20121111.a14ab84c
- Update to 20121111 snapshot (rev a14ab84c)
- Rebuild against latest mingw-qt5-qtbase
- Dropped pkg-config rename hack as it's unneeded now
Comment 2 Erik van Pienbroek 2013-02-09 11:31:33 EST
Updated Spec URL: http://svn.openftd.org/svn/fedora_cross/mingw-qt5-qtquick1/mingw-qt5-qtquick1.spec
Updated SRPM URL: http://koji.vanpienbroek.nl/kojifiles/packages/mingw-qt5-qtquick1/5.0.1/1.fc19/src/mingw-qt5-qtquick1-5.0.1-1.fc19.src.rpm
Koji scratch build: http://koji.vanpienbroek.nl/koji/buildinfo?buildID=124

* Sat Feb 09 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.0.1-1
- Update to 5.0.1

* Fri Jan 11 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.0.0-1
- Update to Qt 5.0.0 Final
Comment 3 greg.hellings 2013-04-12 11:05:25 EDT
Your Spec file URL above doesn't work for me, so I just went off the one in the .src.rpm file

$ rpmlint mingw-qt5-qtquick1.spec 
mingw-qt5-qtquick1.spec:26: W: macro-in-comment %{qt_module}
mingw-qt5-qtquick1.spec:26: W: macro-in-comment %{snapshot_rev}
mingw-qt5-qtquick1.spec:26: W: macro-in-comment %{qt_module}
mingw-qt5-qtquick1.spec:26: W: macro-in-comment %{snapshot_rev}
0 packages and 1 specfiles checked; 0 errors, 4 warnings.

$ rpmlint mingw-qt5-qtquick1-5.0.1-1.fc19.src.rpm 
mingw-qt5-qtquick1.src: E: unknown-key GPG#9b393ae8
mingw-qt5-qtquick1.src:26: W: macro-in-comment %{qt_module}
mingw-qt5-qtquick1.src:26: W: macro-in-comment %{snapshot_rev}
mingw-qt5-qtquick1.src:26: W: macro-in-comment %{qt_module}
mingw-qt5-qtquick1.src:26: W: macro-in-comment %{snapshot_rev}
1 packages and 0 specfiles checked; 1 errors, 4 warnings.

$ rpmlint results_mingw-qt5-qtquick1/5.0.1/1.fc18/mingw{32,64}*
mingw32-qt5-qtquick1.noarch: W: no-documentation
mingw32-qt5-qtquick1-debuginfo.noarch: E: debuginfo-without-sources
mingw64-qt5-qtquick1.noarch: W: no-documentation
mingw64-qt5-qtquick1-debuginfo.noarch: E: debuginfo-without-sources
4 packages and 0 specfiles checked; 2 errors, 2 warnings.

$ rpm -q --requires mingw32-qt5-qtquick1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
mingw32-crt
mingw32-filesystem >= 83
mingw32(kernel32.dll)
mingw32(libgcc_s_sjlj-1.dll)
mingw32(libglesv2.dll)
mingw32(libstdc++-6.dll)
mingw32(msvcrt.dll)
mingw32(qt5core.dll)
mingw32(qt5declarative.dll)
mingw32(qt5gui.dll)
mingw32(qt5network.dll)
mingw32(qt5opengl.dll)
mingw32(qt5script.dll)
mingw32(qt5sql.dll)
mingw32(qt5widgets.dll)
rpmlib(PayloadIsXz) <= 5.2-1

$ rpm -q --requires mingw64-qt5-qtquick1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
mingw64-crt
mingw64-filesystem >= 83
mingw64(kernel32.dll)
mingw64(libglesv2.dll)
mingw64(libstdc++-6.dll)
mingw64(msvcrt.dll)
mingw64(qt5core.dll)
mingw64(qt5declarative.dll)
mingw64(qt5gui.dll)
mingw64(qt5network.dll)
mingw64(qt5opengl.dll)
mingw64(qt5script.dll)
mingw64(qt5sql.dll)
mingw64(qt5widgets.dll)
rpmlib(PayloadIsXz) <= 5.2-1

$ rpm -q --provides mingw32-qt5-qtquick1
mingw32-qt5-qtquick1 = 5.0.1-1.fc18
mingw32(qt5declarative.dll)
mingw32(qmldbg_inspector.dll)
mingw32(qmldbg_tcp_qtdeclarative.dll)
mingw32(qmlfolderlistmodelplugin.dll)
mingw32(qmlgesturesplugin.dll)
mingw32(qmlparticlesplugin.dll)
mingw32(qmlshadersplugin.dll)

$ rpm -q --provides mingw64-qt5-qtquick1
mingw64-qt5-qtquick1 = 5.0.1-1.fc18
mingw64(qt5declarative.dll)
mingw64(qmldbg_inspector.dll)
mingw64(qmldbg_tcp_qtdeclarative.dll)
mingw64(qmlfolderlistmodelplugin.dll)
mingw64(qmlgesturesplugin.dll)
mingw64(qmlparticlesplugin.dll)
mingw64(qmlshadersplugin.dll)

+ OK
! Needs to be looked into
/ Not applicable

[+] Compliant with generic Fedora Packaging Guidelines
[+] Source package name is prefixed with 'mingw-'
[+] Spec file starts with %{?mingw_package_header}
[+] BuildRequires: mingw32-filesystem >= 95 is in the .spec file
[+] BuildRequires: mingw64-filesystem >= 95 is in the .spec file
[+] Spec file contains %package sections for both mingw32 and mingw64 packages
[+] Binary mingw32 and mingw64 packages are noarch
[+] Spec file contains %{?mingw_debug_package} after the %description section
[+] Uses one of the macros %mingw_configure, %mingw_cmake, %mingw_cmake_kde4
    or %mingw_qmake_qt5 to configure the package
[+] Uses the macro %mingw_make to build the package
[+] Uses the macro %mingw_make to install the package
[+] If package contains translations, the %mingw_find_lang macro must be used
[+] No binary package named mingw-$pkgname is generated
[+] Libtool .la files are not bundled
[+] .def files are not bundled
[+] Man pages which duplicate native package are not bundled
[+] Info files which duplicate native package are not bundled
[+] Provides of the binary mingw32 and mingw64 packages are equal
[+] Requires of the binary mingw32 and mingw64 packages are equal

All of the warnings and the dependency difference have been addressed in other qt5 reviews.

Approved.
Comment 4 Erik van Pienbroek 2013-04-12 14:09:35 EDT
New Package SCM Request
=======================
Package Name: mingw-qt5-qtquick1
Short Description: Qt5 for Windows - QtQuick1 component
Owners: epienbro
Branches: f17 f18 f19
InitialCC:
Comment 5 Gwyn Ciesla 2013-04-12 14:11:17 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2013-04-12 16:06:41 EDT
mingw-qt5-qtquick1-5.0.1-1.fc19,mingw-qt5-qtdeclarative-5.0.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mingw-qt5-qtquick1-5.0.1-1.fc19,mingw-qt5-qtdeclarative-5.0.1-1.fc19
Comment 7 Fedora Update System 2013-04-12 16:49:08 EDT
mingw-qt5-qtdeclarative-5.0.1-1.fc18,mingw-qt5-qtquick1-5.0.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mingw-qt5-qtdeclarative-5.0.1-1.fc18,mingw-qt5-qtquick1-5.0.1-1.fc18
Comment 8 Fedora Update System 2013-04-13 13:09:36 EDT
mingw-qt5-qtquick1-5.0.1-1.fc19, mingw-qt5-qtdeclarative-5.0.1-1.fc19 has been pushed to the Fedora 19 testing repository.
Comment 9 Fedora Update System 2013-04-20 16:12:34 EDT
mingw-qt5-qtquick1-5.0.1-1.fc19, mingw-qt5-qtdeclarative-5.0.1-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 10 Fedora Update System 2013-04-21 19:52:16 EDT
mingw-qt5-qtdeclarative-5.0.1-1.fc18, mingw-qt5-qtquick1-5.0.1-1.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.